org.appng.core.model

## Class InstallablePackage

- java.lang.Object
- - org.appng.core.model.InstallablePackage

-     public class InstallablePackage
      extends Object

  A application shown in the `Repository` overview list.
  Author:
    Matthias Herlitzius

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallablePackage(PackageWrapper packageWrapper)`
    `InstallablePackage(PackageWrapper packageWrapper, String installedVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getInstalledVersion()`
    `String` | `getLatestRelease()`
    `String` | `getLatestSnapshot()`
    `String` | `getLongDescription()`
    `String` | `getName()`
    `PackageWrapper` | `getPackageWrapper()`
    `PackageType` | `getType()`
    `boolean` | `isInstalled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallablePackage

          public InstallablePackage(PackageWrapper packageWrapper)

    - #### InstallablePackage

          public InstallablePackage(PackageWrapper packageWrapper,
                                    String installedVersion)

  - ### Method Detail

    - #### getInstalledVersion

          public String getInstalledVersion()

    - #### getPackageWrapper

          public PackageWrapper getPackageWrapper()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getLongDescription

          public String getLongDescription()

    - #### getLatestRelease

          public String getLatestRelease()

    - #### getLatestSnapshot

          public String getLatestSnapshot()

    - #### getType

          public PackageType getType()

    - #### isInstalled

          public boolean isInstalled()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.